%global         momorel 18

Name:           perl-Lingua-Stem
Version:        0.84
Release:        %{momorel}m%{?dist}
Summary:        Stemming of words
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Lingua-Stem/
Source0:        http://www.cpan.org/authors/id/S/SN/SNOWHARE/Lingua-Stem-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Carp
BuildRequires:  perl-Lingua-PT-Stemmer
BuildRequires:  perl-Lingua-Stem-Fr >= 0.02
BuildRequires:  perl-Lingua-Stem-It
BuildRequires:  perl-Lingua-Stem-Ru
BuildRequires:  perl-Lingua-Stem-Snowball-Da >= 1.01
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Snowball-Norwegian >= 1.00
BuildRequires:  perl-Snowball-Swedish >= 1.01
BuildRequires:  perl-Text-German
Requires:       perl-Carp
Requires:       perl-Lingua-PT-Stemmer
Requires:       perl-Lingua-Stem-Fr >= 0.02
Requires:       perl-Lingua-Stem-It
Requires:       perl-Lingua-Stem-Ru
Requires:       perl-Lingua-Stem-Snowball-Da >= 1.01
Requires:       perl-Snowball-Norwegian >= 1.00
Requires:       perl-Snowball-Swedish >= 1.01
Requires:       perl-Text-German
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This routine applies stemming algorithms to its parameters, returning the
stemmed words as appropriate to the selected locale.

%prep
%setup -q -n Lingua-Stem-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Artistic_License.txt Changes GPL_License.txt LICENSE README
%{perl_vendorlib}/Lingua/Stem
%{perl_vendorlib}/Lingua/Stem.pm
%{perl_vendorlib}/Lingua/Stem.pod
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-18m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-17m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-16m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-15m)
- rebuild against perl-5.18.0

* Tue Apr 09 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-14m)
- Specfile re-generated by cpanspec 1.78.

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-13m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-12m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-11m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-10m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-9m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-8m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-7m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.84-6m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.84-5m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-4m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.84-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-2m)
- rebuild against perl-5.12.1

* Fri Apr 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-1m)
- update to 0.84
- Specfile re-generated by cpanspec 1.78.

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.83-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.83-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.83-2m)
- rebuild against gcc43

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-1m)
- update to 0.83

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.82-2m)
- use vendor

* Fri Sep 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.82-1m)
- spec file was autogenerated
